Contents

# DateSerial Function

Returns a Date value for a specified year, month, and day.

### Syntax:

    DateSerial (year, month, day)

### Return value:

Datum

### Parameters:

Year: Integer izraz koji idicira godinu. Sve vrijednosti između 0 i 99 su dozvoljene kao godine 1900-1999. Za godine koje spadaju izvan ovog niza, morate unijeti sve četiri jedinice.

Month: Integer izraz koji inidicira mjesec specifirane godine. Dozvoljeni niz je od 1-12.

Day: Integer expression that indicates the day of the specified month. The accepted range is from 1-31. No error is returned when you enter a non-existing day for a month shorter than 31 days.

DateSerial funkcija vraća broj dana između decembra 30., 1899. i unesenog datuma. Možete koristiti ovu funkciju da sračunate razlike između dva datuma.

DateSerial function vraća tip podatka Variant sa VarType 7 (Date). Interno, ova vrijednost se spašava kao Double tip, tako da uneseni datum iznosi 1.1.1900, povratna vrijednost je 2. Negativne vrijednosti odgovaraju datumima prije decembra 30., 1899 (nije inkluzivno).

Ako je datum definisan izvan dozvoljenih granica, LibreOffice Basci vraća grešku.

Gdje kad definišete DateValue funkciju kao niz karaktera koji sadrži datum, DateSerial funkcija radi evaluaciju svakog od parametara (godina, mjesec, dan) kao odvojeni numerički izrazi.

### Error codes:

5 Invalid procedure call

### Example:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          MsgBox lDate ' returns 23476
          msgbox sDate REM returns 09/04/1964
      End Sub